VULKAN_HPP_NAMESPACE::RenderPass Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | RenderPass ()
VULKAN_HPP_CONSTEXPR | RenderPass (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | RenderPass (VkRenderPass renderPass)
RenderPass & | operator= (std::nullptr_t)
bool | operator== (RenderPass const &rhs) const
bool | operator!= (RenderPass const &rhs) const
bool | operator< (RenderPass const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkRenderPass () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkRenderPass | m_renderPass

## Detailed Description

Definition at line 4150 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPass() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::RenderPass::RenderPass | ( |  | ) |

inline

Definition at line 4153 of file vulkan.hpp.

: m_renderPass(VK_NULL_HANDLE)
{}

## RenderPass() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::RenderPass::RenderPass | ( | std::nullptr_t |  | ) |

inline

Definition at line 4157 of file vulkan.hpp.

: m_renderPass(VK_NULL_HANDLE)
{}

## RenderPass() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::RenderPass::RenderPass | ( | VkRenderPass | renderPass | ) |

inline

Definition at line 4161 of file vulkan.hpp.

: m_renderPass( renderPass )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::RenderPass::operator bool | ( |  | ) | const

inline explicit

Definition at line 4201 of file vulkan.hpp.

{
return m_renderPass != VK_NULL_HANDLE;
}

References m_renderPass, and VK_NULL_HANDLE.

## operator VkRenderPass()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::RenderPass::operator VkRenderPass | ( |  | ) | const

inline

Definition at line 4196 of file vulkan.hpp.

{
return m_renderPass;
}

References m_renderPass.

## operator!()

bool VULKAN_HPP_NAMESPACE::RenderPass::operator! | ( |  | ) | const

inline

Definition at line 4206 of file vulkan.hpp.

{
return m_renderPass == VK_NULL_HANDLE;
}

References m_renderPass, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPass::operator!= | ( | RenderPass const & | rhs | ) | const

inline

Definition at line 4184 of file vulkan.hpp.

{
return m_renderPass != rhs.m_renderPass;
}

References m_renderPass.

## operator<()

bool VULKAN_HPP_NAMESPACE::RenderPass::operator< | ( | RenderPass const & | rhs | ) | const

inline

Definition at line 4189 of file vulkan.hpp.

{
return m_renderPass < rhs.m_renderPass;
}

References m_renderPass.

## operator=()

RenderPass& VULKAN_HPP_NAMESPACE::RenderPass::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4173 of file vulkan.hpp.

{
m_renderPass = VK_NULL_HANDLE;
return *this;
}

References m_renderPass, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPass::operator== | ( | RenderPass const & | rhs | ) | const

inline

Definition at line 4179 of file vulkan.hpp.

{
return m_renderPass == rhs.m_renderPass;
}

References m_renderPass.

## Field Documentation

## m_renderPass

VkRenderPass VULKAN_HPP_NAMESPACE::RenderPass::m_renderPass

private

Definition at line 4212 of file vulkan.hpp.

Referenced by operator bool(), operator VkRenderPass(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::RenderPass::m_renderPass
VkRenderPass m_renderPass
Definition: vulkan.hpp:4212